Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
K
k3s
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Jacklull
k3s
Commits
c14ffd3c
Commit
c14ffd3c
authored
Jul 01, 2019
by
Erik Wilson
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
Clean up sonobuoy e2e tests
parent
853708c8
Hide whitespace changes
Inline
Side-by-side
Showing
2 changed files
with
22 additions
and
9 deletions
+22
-9
sonobuoy
scripts/sonobuoy
+6
-0
sonobuoy-e2e-tests
scripts/sonobuoy-e2e-tests
+16
-9
No files found.
scripts/sonobuoy
View file @
c14ffd3c
...
...
@@ -148,8 +148,14 @@ sonobuoy retrieve ${OUTPUT}
results
=
"./plugins/e2e/results/e2e.log"
[
-s
${
results
}
]
||
exit
1
tail
-20
${
results
}
exit_code
=
0
status
=
$(
tail
-5
${
results
}
|
grep
'^SUCCESS!.*| 0 Failed |'
>
/dev/null
&&
echo
passed
||
echo
failed
)
[
"
${
status
}
"
=
"failed"
]
&&
exit_code
=
1
if
[
-n
"
${
E2E_LOG_OUTPUT
}
"
]
;
then
cp
${
results
}
$(
echo
${
E2E_LOG_OUTPUT
}
|
sed
-e
"s/-STATUS-/-
${
status
}
-/g"
)
fi
exit
${
exit_code
}
)
scripts/sonobuoy-e2e-tests
View file @
c14ffd3c
...
...
@@ -3,6 +3,15 @@ set -e -x
cd
$(
dirname
$0
)
/..
cleanup
()
{
exit_code
=
$?
set
+e
echo
"Waiting on the tests!"
wait
exit
${
exit_code
}
}
trap
cleanup EXIT
if
[
-z
"
$K3S_IMAGE
"
]
;
then
source
$(
dirname
$0
)
/version.sh
TAG
=
${
TAG
:-${
VERSION
}${
SUFFIX
}}
...
...
@@ -23,19 +32,17 @@ run-sonobuoy() {
pids+
=(
$!
)
}
log_output
=
${
OUTPUT
}
/e2e-STATUS-
${
ARCH
}
-serial
.log
\
run-sonobuoy
--e2e-focus
=
'\[Serial\].*\[Conformance\]'
log_output
=
${
OUTPUT
}
/e2e-STATUS-
${
ARCH
}
-parallel
.log
\
run-sonobuoy
--e2e-focus
=
'\[Conformance\]'
--e2e-skip
=
'\[Serial\]'
--e2e-parallel
=
y
cleanup
()
{
exit_status
=
$?
set
+e
echo
"Waiting on the tests!"
wait
exit
${
exit_status
}
}
trap
cleanup EXIT
wait
${
pids
[@]
}
exit_code
=
0
for
pid
in
"
${
pids
[@]
}
"
;
do
wait
$pid
||
exit_code
=
$?
done
trap
- EXIT
exit
${
exit_code
}
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment